Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 24 Oct 2017, 00:20
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Nvidia drivers
Post new topic   Reply to topic View previous topic :: View next topic
Page 7 of 10 [140 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Author Message
peebee


Joined: 21 Sep 2008
Posts: 2947
Location: Worcestershire, UK

PostPosted: Fri 27 May 2016, 13:02    Post subject: 304.131 for k4.6  

Here is the patch needed to get nvidia-304.131 to compile on kernel 4.6

Remove false .gz

This is in addition to the kernel 4.3 patch above.

You can download the patched .run if anybody wants it.

Cheers
peebee
nvidia-304.131-k4.6.patch.gz
Description  remove false .gz
gz

 Download 
Filename  nvidia-304.131-k4.6.patch.gz 
Filesize  1.76 KB 
Downloaded  262 Time(s) 

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
riedzig

Joined: 01 Oct 2015
Posts: 25

PostPosted: Fri 03 Jun 2016, 01:40    Post subject: Nvidia driver for Slacko6.0  

Hi peebee,
I can't find the nvidia 304xx driver for
http://lx-pup.weebly.com/slacko60.html
Please let me know if this is available.

btw. unlike any other distros, here the leds Num, Caps and Scroll lock on my keyboard don't light, although the keys work properly. Can this be changed?
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 2947
Location: Worcestershire, UK

PostPosted: Fri 03 Jun 2016, 18:58    Post subject: Re: Nvidia driver for Slacko6.0  

riedzig wrote:
Hi peebee,
I can't find the nvidia 304xx driver for
http://lx-pup.weebly.com/slacko60.html
Please let me know if this is available.

btw. unlike any other distros, here the leds Num, Caps and Scroll lock on my keyboard don't light, although the keys work properly. Can this be changed?

I've uploaded to:

http://smokey01.com/peebee/nvidia/nvidia-glx-304.131-k4.2.5-EmSee-32-pae-s630.sfs

Can't answer the keyboard lights query I'm afraid - suggest you post somewhere else on the forum with more details of your computer hardware....

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
mikegarcia

Joined: 30 Jun 2016
Posts: 2

PostPosted: Thu 30 Jun 2016, 11:26    Post subject:  

Hello. Iam new in the linux world, and i need help while installing nvidia drivers.

Kernel - 3.14.20 - PAE
Distribution - tharpup 6.0
Nvidia - Geforce4 440 go 64MB


If possible, i would like to have an already assembled file.

Thanks for the help
Back to top
View user's profile Send private message 
Burn_IT


Joined: 12 Aug 2006
Posts: 2900
Location: Tamworth UK

PostPosted: Thu 30 Jun 2016, 16:10    Post subject:  

I think I have posted about those drivers in the past on Puppy forums.
You can search as well as I can for the posts using my username and "NVIDIA"

_________________
"Just think of it as leaving early to avoid the rush" - T Pratchett
Back to top
View user's profile Send private message 
rufwoof

Joined: 24 Feb 2014
Posts: 2148

PostPosted: Thu 30 Jun 2016, 17:11    Post subject:  

mikegarcia wrote:
Hello. Iam new in the linux world, and i need help while installing nvidia drivers.

Kernel - 3.14.20 - PAE
Distribution - tharpup 6.0
Nvidia - Geforce4 440 go 64MB


If possible, i would like to have an already assembled file.

Thanks for the help


If its not in the "updates" section, there's this http://murga-linux.com/puppy/viewtopic.php?p=571726#571726 alternative.
Back to top
View user's profile Send private message 
chilidog

Joined: 10 Jun 2016
Posts: 10
Location: Belgium, Gent

PostPosted: Sun 24 Jul 2016, 08:07    Post subject: nvidia-kernel-legacy-71xx and 3.14.20 kernel  

I have an old computer (2004 or older) with Geforce256.
I run Tahr6.0.2 happily, but with vesa.

With Wary I can install the proper Invidia driver, legacy-71xx, but with Tahr I cannot because of the newer kernel.

In the package for legacy-71xx in debian wheezy there are patches for this. I haven't tried them: it would be a 'tour de force' for me.
There is also a warning there that "this driver only works with xserver 1.4" and Tahr has xorg 1.15!

Is it worth trying the patches from debian? Could it still work?
If so, did anyone by chance try this before?
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9396
Location: Charleston S.C. USA

PostPosted: Sat 06 Aug 2016, 13:21    Post subject:  

Making graphics drivers does not like me.

Anyone make any Nvidia drivers for Xenialpup 7.0.1?

I need the NVIDIA-Linux-x86-173.14.39 driver.


I downloaded the NVIDIA-Linux-x86-173.14.39.run package from Nvidia web site.
I have loaded the devx and kernel sfs, but I keep getting errors when making the driver.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 298
Location: Florida, USA

PostPosted: Sat 06 Aug 2016, 15:36    Post subject:  

bigpup wrote:
Making graphics drivers does not like me.

Anyone make any Nvidia drivers for Xenialpup 7.0.1?

I need the NVIDIA-Linux-x86-173.14.39 driver.


I downloaded the NVIDIA-Linux-x86-173.14.39.run package from Nvidia web site.
I have loaded the devx and kernel sfs, but I keep getting errors when making the driver.

What kind of errors are you getting?
Back to top
View user's profile Send private message Visit poster's website 
bigpup


Joined: 11 Oct 2009
Posts: 9396
Location: Charleston S.C. USA

PostPosted: Sun 07 Aug 2016, 06:58    Post subject:  

/usr/src/linux/scripts/Makefile.build:258: recipe for target '/tmp/selfgz267
3/NVIDIA-Linux-x86-173.14.39-pkg1/usr/src/nv/nv.o' failed
make[4]: *** [/tmp/selfgz2673/NVIDIA-Linux-x86-173.14.39-pkg1/usr/src/nv/nv.
o] Error 1
/usr/src/linux/Makefile:1391: recipe for target '_module_/tmp/selfgz2673/NVI
DIA-Linux-x86-173.14.39-pkg1/usr/src/nv' failed
make[3]: *** [_module_/tmp/selfgz2673/NVIDIA-Linux-x86-173.14.39-pkg1/usr/sr
c/nv] Error 2
Makefile:146: recipe for target 'sub-make' failed
make[2]: *** [sub-make] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
Makefile:239: recipe for target 'module' failed
make[1]: *** [module] Error 1
makefile:54: recipe for target 'module' failed
make: *** [module] Error 2
-> Error.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 298
Location: Florida, USA

PostPosted: Thu 11 Aug 2016, 13:23    Post subject:  

I get a similar set of errors when I tried compiling.

Using:
getnvidia-1.0.pet

http://distro.ibiblio.org/puppylinux/test/xenialpup/devx_xenial_7.0.1.sfs
http://distro.ibiblio.org/puppylinux/test/xenialpup/kernel_sources-4.5.2-xenial_PAE.sfs
http://distro.ibiblio.org/puppylinux/test/xenialpup/xenial-7.0.1.iso

NVIDIA-Linux-x86-173.14.39-pkg1.run
http://www.nvidia.com/Download/driverResults.aspx/71302/en-us

---------

http://www.nvidia.com/object/IO_32667.html
http://nvidia.custhelp.com/app/answers/detail/a_id/3142
https://devtalk.nvidia.com/default/topic/701493/173xx-driver-doesn-t-work-on-recent-kernels-on-several-distros/
https://devtalk.nvidia.com/default/topic/955598/linux/repost-what-linux-version-is-required-to-install-173-14-drivers-/
https://en.wikipedia.org/wiki/X.Org_Server#Releases

Menu > System > Pup-SysInfo system information > Base Report
• X.Org version: 1.18.3

Summary:
Xenial 7.0.1 uses X.Org server version: 1.18.3
Latest X.Org server version that will work with Nvidia 173.14.39, is 1.15
Back to top
View user's profile Send private message Visit poster's website 
bigpup


Joined: 11 Oct 2009
Posts: 9396
Location: Charleston S.C. USA

PostPosted: Fri 12 Aug 2016, 00:50    Post subject:  

version2013,

Thanks for looking into this!

This Nvidia driver is getting very old and it was the last one to support my hardware. No newer Nvidia driver will work.
Xenialpup 7.0.1 still works using the Nouveau driver with my hardware.

My computer specs are at the bottom of the list of supported hardware for Xenialpup 7.0.1.

I was just hoping I could still get an actual Nvidia driver to still work and give full feature support to my graphics hardware.

Tahrpup still lets me use a Nvidia driver, so Puppy is never dead on this computer.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3020
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 19 Sep 2016, 11:59    Post subject:  

Bonjour,
I have being trying to download pet or sfs files directly from http://shinobar.server-on.net/puppy/opt/ or using some links of Forum threads pointing to. Files (even big ones!) are very quickly downloaded Shocked but absolutely unusable/not installable. I just get empty files Sad
What's wrong?

[SOLVED]: Arrow See this post. Thanks shinobar.

Cordialement.

_________________


Last edited by Argolance on Sat 24 Sep 2016, 04:52; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
Lassar

Joined: 08 Jul 2014
Posts: 158

PostPosted: Wed 21 Sep 2016, 22:53    Post subject: ppm nvidia driver  

I really don't get the problem with nvidia drivers.

I am using tarhpup 6.05 64 bit.

I had used linux mint 18 addition drivers program, and it showed me 2 nvidia drivers for my pc.

I used the puppy package manager to find these drivers on ubuntu.

Tried them and found one, that works real good on my pc.

So what is the big deal about using nvidia drivers.
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3020
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Fri 23 Sep 2016, 09:35    Post subject:  

Bonjour,
Lassar wrote:
So what is the big deal about using nvidia drivers.

For example, you need full feature support to your graphics hardware if you want to make "Blender" run/work. Using the simple "nouveau" driver coming with some Puppies, it will not work at all...

Now, I would like to compile nvidia drivers while running xenialpup (xenial-7.0.3.iso).
I tried but it fails though the getnvidia GUI says all is OK!
Loaded sfs files:
    - devx_xenial_7.0.3
    - kernel_sources-4.1.30-xenial_PAE.sfs
    - NVIDIA-Linux-x86-340.96.run

Cordialement.

_________________


Last edited by Argolance on Sat 24 Sep 2016, 04:40; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 7 of 10 [140 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0560s ][ Queries: 14 (0.0052s) ][ GZIP on ]